package com.bjtdba.merchant.service;

import com.bjtdba.entity.merchant.MerchantIntention;
import org.springframework.web.multipart.MultipartFile;

import java.text.ParseException;

public interface MerchantSettleInService {

    Object selectMerchant(String uid) throws ParseException;

    Object insertMerchantSettlen(MerchantIntention MerchantIntention) throws Exception;

    Object selectSettlementBank(String bank_name);

    Object selectAddressList(int id,String code);

    Object uploadPicture(MultipartFile file, String uid);

    Object selectMerchaSettlen(String mer_id);

    Object updateMerchaSettlen(MerchantIntention merchantIntention) throws Exception  ;

    Object updateActivationCode(String code,String uid) throws ParseException;

    Object MerchantOrder(String uid) throws ParseException;


    void executeCreateHuiFuAli(int i, Integer mer_id) throws Exception;

    void executeCreateHuiFuWx2(int i, Integer mer_id) throws Exception;
}
